//Цветной графический дисплей 2.2 TFT 320x240     http://iarduino.ru/shop/Displei/cvetnoy-graficheskiy-tft-ekran-320-240---2-2.html

#include   <SPI.h>                                  // подключаем библиотеку SPI            для общения с SD-картой по шине SPI
#include   <SdFat.h>                                // подключаем библиотеку SdFat          для работы с SD-картой
#include   <UTFT.h>                                 // подключаем библиотеку UTFT           для работы с дисплеем
#include   <UTFT_SdRaw.h>                           // подключаем библиотеку UTFT_SdRaw     для вывода изображений с SD-карты на дисплей
#define    SD_CHIP_SELECT SS                        // определяем константу  SD_CHIP_SELECT которой присваиваем номер вывода Arduino подключённого к линии выбора CS шины SPI SD-карты (номер используемый по умолчанию хранится в константе SS)
                                                    //
UTFT       myGLCD(TFT01_22SP,5,4,8,7,6);            // объявляем объект myGLCD  класса библиотеки UTFT         указывая тип дисплея TFT01_22SP и номера выводов Arduino к которым подключён дисплей: SDI/MOSI, SCK, CS, RESET, DC/RS. Можно использовать любые выводы Arduino.
SdFat      mySD;                                    // объявляем объект mySD    класса библиотеки SdFat        для работы с его функциями и методами
UTFT_SdRaw myFiles(&myGLCD);                        // объявляем объект myFiles​ класса библиотеки UTFT_tinyFAT​ с передачей ссылки на объект myGLCD​ класса библиотеки UTFT
                                                    //
void setup(){                                       //
   myGLCD.InitLCD();                                // инициируем дисплей
   myGLCD.clrScr();                                 // стираем всю информацию с дисплея
   while(!mySD.begin(SD_CHIP_SELECT)){}             // инициируем работу с SD картой, ожидая завершения инициализации в цикле while (не даём войти в loop пока нет карты)
}                                                   //
                                                    //
void loop(){                                        //
   myFiles.load(0,0,320,240,"image_320x240_a.raw"); // выводим на дисплей картинку начиная с координаты 0,0 размером 320,240 из файла image_320x240_a.raw
   delay(2000);                                     // ждём 2 секунды
   myFiles.load(0,0,320,240,"image_320x240_b.raw"); // выводим на дисплей картинку начиная с координаты 0,0 размером 320,240 из файла image_320x240_b.raw
   delay(2000);                                     // ждём 2 секунды
}                                                   //
                                                    //
/* ВНИМАНИЕ!!!
   Библиотека SdFat поддерживает SD-карты отформатированные под файловые системы FAT32 (максимальный объём 32ГГб) или FAT16 (максимальный объём 2ГГб).
   Файлы картинок лежат в папке image библиотеки UTFT, их необходимо записать в корень SD-карты и установить её в слот на плате дисплея.
*/
